# H46019_TraversalParameters Class Reference

`#include <h46019.h>`

## Public Types

| e_multiplexedMediaChannel
| e_multiplexedMediaControlChannel
| e_multiplexID
| e_keepAliveChannel
| e_keepAlivePayloadType
| e_keepAliveInterval
enum | OptionalFields { e_multiplexedMediaChannel, e_multiplexedMediaControlChannel, e_multiplexID, e_keepAliveChannel, e_keepAlivePayloadType, e_keepAliveInterval }

## Public Member Functions

| H46019_TraversalParameters (unsigned tag=UniversalSequence, TagClass tagClass=UniversalTagClass)
PINDEX | GetDataLength () const
PBoolean | Decode (PASN_Stream &strm)
void | Encode (PASN_Stream &strm) const
void | PrintOn (ostream &strm) const
Comparison | Compare (const PObject &obj) const
PObject * | Clone () const

## Data Fields

H245_TransportAddress | m_multiplexedMediaChannel
H245_TransportAddress | m_multiplexedMediaControlChannel
PASN_Integer | m_multiplexID
H245_TransportAddress | m_keepAliveChannel
PASN_Integer | m_keepAlivePayloadType
H225_TimeToLive | m_keepAliveInterval

## Member Enumeration Documentation

enum H46019_TraversalParameters::OptionalFields

Enumerator:

  e_multiplexedMediaChannel |
  e_multiplexedMediaControlChannel |
  e_multiplexID |
  e_keepAliveChannel |
  e_keepAlivePayloadType |
  e_keepAliveInterval |

## Constructor & Destructor Documentation

H46019_TraversalParameters::H46019_TraversalParameters | ( | unsigned | tag = `UniversalSequence`,
|  | TagClass | tagClass = `UniversalTagClass` |
| ) |  |  |

## Member Function Documentation

PObject* H46019_TraversalParameters::Clone | ( |  | ) | const

Comparison H46019_TraversalParameters::Compare | ( | const PObject & | obj | ) | const

PBoolean H46019_TraversalParameters::Decode | ( | PASN_Stream & | strm | ) |

void H46019_TraversalParameters::Encode | ( | PASN_Stream & | strm | ) | const

PINDEX H46019_TraversalParameters::GetDataLength | ( |  | ) | const

void H46019_TraversalParameters::PrintOn | ( | ostream & | strm | ) | const

## Field Documentation

H245_TransportAddress H46019_TraversalParameters::m_keepAliveChannel

H225_TimeToLive H46019_TraversalParameters::m_keepAliveInterval

PASN_Integer H46019_TraversalParameters::m_keepAlivePayloadType

H245_TransportAddress H46019_TraversalParameters::m_multiplexedMediaChannel

H245_TransportAddress H46019_TraversalParameters::m_multiplexedMediaControlChannel

PASN_Integer H46019_TraversalParameters::m_multiplexID

The documentation for this class was generated from the following file:

- h46019.h